package meerkat.bulletinboard.workers.multiserver;

import com.google.common.util.concurrent.FutureCallback;
import meerkat.bulletinboard.SingleServerBulletinBoardClient;
import meerkat.protobuf.BulletinBoardAPI.CloseBatchMessage;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 */
public class MultiServerCloseBatchWorker extends MultiServerGenericPostWorker<CloseBatchMessage> {

    public MultiServerCloseBatchWorker(List<SingleServerBulletinBoardClient> clients,
                                       int minServers, CloseBatchMessage payload, int maxRetry,
                                       FutureCallback<Boolean> futureCallback) {

        super(clients, minServers, payload, maxRetry, futureCallback);

    }

    @Override
    protected void doPost(SingleServerBulletinBoardClient client, CloseBatchMessage payload) {
        client.closeBatch(payload, this);
    }


}
