package meerkat.voting.output;

import com.google.protobuf.BoolValue;
import meerkat.pollingstation.PollingStationScanner;
import meerkat.protobuf.PollingStation.*;
import meerkat.rest.*;

import javax.ws.rs.client.*;

import static meerkat.pollingstation.PollingStationConstants.*;

/**
 * Created by hai on 27/06/16.
 */
public class NetworkVirtualPrinter implements PollingStationScanner.Producer  {

    WebTarget successfulScanPath;
    WebTarget errorPath;

    public NetworkVirtualPrinter(String address) {
        Client client = ClientBuilder.newClient();
        client.register(ProtobufMessageBodyReader.class);
        client.register(ProtobufMessageBodyWriter.class);
        successfulScanPath = client.target(address).path(POLLING_STATION_WEB_SCANNER_SCAN_PATH);
        errorPath = client.target(address).path(POLLING_STATION_WEB_SCANNER_ERROR_PATH);
    }

    @Override
    public BoolValue newScan(ScannedData scannedData) {
        return null;
    }

    @Override
    public BoolValue reportScanError(ErrorMsg errorMsg) {
        return null;
    }
}
