package meerkat.voting.ui.uicommands;

import meerkat.protobuf.Voting.UIElement;
import meerkat.voting.controller.callbacks.*;

/**
 * Created by hai on 18/04/16.
 */
public class FatalErrorUICommand extends UICommand {

    private final UIElement errorMessage;
    private final UIElement[] buttonLabels;

    public FatalErrorUICommand(UIElement errorMessage, UIElement[] buttonLabels, ControllerCallback callback)
    {
        super(callback);
        this.errorMessage = errorMessage;
        this.buttonLabels = buttonLabels;
    }

    public UIElement getErrorMessage() {
        return this.errorMessage;
    }

    public UIElement[] getButtonLabels() {
        return this.getButtonLabels();
    }
}
